libmspack

Data Fields
mschmd_section Struct Reference

A structure which represents a section of a CHM helpfile. More...

`#include <mspack.h>`

Collaboration diagram for mschmd_section:
[legend]

## Data Fields
struct mschmd_header * | chm
| A pointer to the CHM helpfile that contains this section. More...
unsigned int | id
| The section ID. More...

## Detailed Description

A structure which represents a section of a CHM helpfile.

All fields are READ ONLY.

Not used directly, but used as a generic base type for mschmd_sec_uncompressed and mschmd_sec_mscompressed.

## Field Documentation

## ◆ chm

struct mschmd_header* mschmd_section::chm

A pointer to the CHM helpfile that contains this section.

## ◆ id

unsigned int mschmd_section::id

The section ID.

Either 0 for the uncompressed section mschmd_sec_uncompressed, or 1 for the LZX compressed section mschmd_sec_mscompressed. No other section IDs are known.

The documentation for this struct was generated from the following file:

- mspack.h